Block Account

Use this API to block an active savings account for a client. Blocking restricts all activity on the account until it is unblocked.

Prerequisites

  • The account must be in Active status.
  • The account must not be a sub-account.
  • Pass the accountId as a path parameter and command=BLOCK as a query parameter.

Example Request

POST /v1/savingsaccounts/{accountId}?command=BLOCK

Effects of Blocking

  • The account sub-status changes to BLOCK.
  • All cards linked to the account are suspended and their status changes to SUSPENDED.

For the supported values for Account Status, see: Account Status

For detailed account features, see: Accounts Features

FunctionWebhook
Block AccountBlock Account
Path Params
integer
required
Defaults to 1

The Id associated with the account Example : 123

Query Params
string
Defaults to BLOCK

'The value which is supported is: BLOCK' Example : BLOCK

Body Params
integer

Identifier representing the reason for blocking the account. To retrieve valid code IDs, use the Get Code Values API: /v1/codevalues?codeName=ACCOUNT_BLOCK_REASON. If omitted, the server will use a default block reason.

string

Optional note to attach to the blocking action. If provided, it will be persisted as an account note alongside the block.

Headers
string
required
Defaults to z01j3e71zd6zkq908vyf5861a8

The ID of your banking instance visible in the MBANQ Console.

Responses

Language
Credentials
Bearer
JWT
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json